Run action
curl --request POST \
--url https://api.example.com/api/v1/action/{id}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "This is a info message of the wallet action",
"gasPrice": "market",
"gasLimit": 10000000,
"gasTip": "\"\"",
"params": [
{
"name": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.example.com/api/v1/action/{id}/run"
payload = {
"message": "This is a info message of the wallet action",
"gasPrice": "market",
"gasLimit": 10000000,
"gasTip": "\"\"",
"params": [
{
"name": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: 'This is a info message of the wallet action',
gasPrice: 'market',
gasLimit: 10000000,
gasTip: '""',
params: [{name: '<string>', value: '<string>'}]
})
};
fetch('https://api.example.com/api/v1/action/{id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"key": "<string>",
"value": "<unknown>"
}
]Action Route
Run action
Execute action
POST
/
api
/
v1
/
action
/
{id}
/
run
Run action
Authorizations
Authentication
Path Parameters
Body
application/json
Severity level of the wallet action
Available options:
INFO, LOW, MEDIUM, HIGH, CRITICAL Detailed message of the wallet action
Example:
"This is a info message of the wallet action"
Gas price for action execution. Possible values are 100%/1.0 gwei/1000000/'market'. Default: market
Pattern:
^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%|market)$Example:
"market"
Gas limit for action execution. Default: 10000000
Example:
10000000
Gas tip for action execution. Possible values are 100%/1.0 gwei/1000000. Default: ""
Pattern:
^(\d+(\.\d+)?|\d+(\.\d+)? gwei|\+?\-?\d+(\.\d+)?%)$|^$Example:
"\"\""
Input parameters of the function from the contract abi associated with the extractor action
Show child attributes
Show child attributes
⌘I